/// <reference types="react" />
import { getCurrentInstruction } from './Instructions';
import { MapViewProps } from './MapView';
import { MAP_SIMULATION_REFERENCE_TYPE, MAP_VIEW_REFERENCE_TYPE } from './CommandTypes';
export declare const JMapView: React.ForwardRefExoticComponent<MapViewProps & React.RefAttributes<MAP_VIEW_REFERENCE_TYPE & MAP_SIMULATION_REFERENCE_TYPE>>;
export declare const JOdpViewModule: import("react").ForwardRefExoticComponent<import("./OdpView").OdpViewProps & import("react").RefAttributes<import("./CommandTypes").ODP_VIEW_REFERENCE_TYPE>>;
export declare const JibestreamApi: {
    getToken(credentials: {
        clientId: string;
        clientSecret: string;
        customerId: number;
        host: string;
    }): Promise<string | undefined>;
    getAllDestinations(credentials: {
        clientId: string;
        clientSecret: string;
        customerId: number;
        host: string;
        locale?: import("./CommandTypes").MAP_LOCALE_TYPE | undefined;
    }, venueIds: number[]): Promise<{
        [venueId: number]: import("./JibestreamTypes").JIBESTREAM_DESTINATION_TYPE[];
    }>;
    getVenueProperties(token: string, credentials: import("./JibestreamTypes").MAP_CREDENTIALS_TYPE): Promise<import("./api/ApiTypes").JIBESTREAM_VENUE_PROPERTIES | undefined>;
};
export declare const Utilities: {
    getCurrentInstruction: typeof getCurrentInstruction;
    preProcessPath: (path: import("./JibestreamTypes").JIBESTREAM_PATH_TYPE[], instructions: import("./JibestreamTypes").INSTRUCTION_TYPE[], dist_unit: import("./CommandTypes").DISTANCE_UNIT_TYPE, locale: import("./CommandTypes").MAP_LOCALE_TYPE) => import("./JibestreamTypes").INSTRUCTION_TYPE[];
};
export * from './CommandTypes';
export * from './JibestreamTypes';
export * from './schemas/OdpOnFacilityUpdateType';
export * from './schemas/OdpOnKeyValidationType';
export * from './schemas/OdpOnNavigationUpdateType';
export * from './schemas/OdpOnReadyType';
//# sourceMappingURL=index.d.ts.map